FlexNet Operations: Pré-requis

Gestion des droits, du cycle de vie des licences logicielles et des droits d'utilisation des applications installées sur vos appareils

Pré-requis

Ce document décrit la configuration requise pour FlexNet Operations On-Premises.

Configuration requise pour les serveurs

Pour de meilleures performances, disponibilité et fiabilité, installez chaque composant de FlexNet Operations sur un hôte différent.

Pour (chacun) des serveurs Windows

  • Double cœur
  • 8 Go de RAM
  • Au moins 10 Go d'espace disque libre

Pour (chacun) des serveurs Linux

  • Double cœur
  • 8 Go de RAM
  • Au moins 10 Go d'espace disque libre
  • Le répertoire courant (.) doit se trouver dans le chemin de l'utilisateur qui démarre le serveur de FlexNet Operations.
Systèmes d'exploitation pris en charge
  • Microsoft Windows Server 2012 (64 bits)
  • Microsoft Windows Server 2012 R2 (64 bits)
  • Red Hat Enterprise Linux 6 (64 bits)
  • Red Hat Enterprise Linux 7 (64 bits)
Bases de données prises en charge
  • Oracle 12c : édition Enterprise, Express ou Standard (Oracle 12c avec architecture traditionnelle uniquement, pas de base de données conteneur ou enfichable)
  • Microsoft SQL Server 2012, Microsoft SQL Server 2014 R2 ou Microsoft SQL Server 2016 : édition Enterprise, Express ou Standard

Remarque : toutes les bases de données faisant partie de votre installation FlexNet Operations doivent être du même type.

Serveur d'applications
  • WildFly version 8.2.0, avec un espace de tas minimum de 4 Go et maximum de 8 Go, configuré par défaut
Courtier de messages
  • RabbitMQ, dernière version (écrit dans le langage de programmation Erlang, dernière version)
Navigateurs Web
  • Microsoft Internet Explorer 10, 11 ou Edge
  • Mozilla Firefox 45, 46
  • Google Chrome 50, 51, 52
Java Development Kit
  • Oracle JDK 8, mise à jour 45
Environnement d'exécution Java
  • Oracle JRE version 1.7 (Java 7 mise à jour 45 recommandé)
Module FlexNet Licensing
  • FlexNet Publisher 11.X ou version ultérieure
  • FlexNet Embedded 3.X ou version ultérieure

Remarque : FlexNet Operations 2016 prend en charge les types d'ID d'hôte FlexNet Embedded suivants : Ethernet, FlexID 9, FlexID 10, String, VM UUID, User, Extended, Tolerant, Internet, Internet IPV6 et les ID définis par l'éditeur

Vendor Certificate Generator

La version actuelle du VCG est la version 12.11.

La version 12.11 du VCG a été testée avec les compilateurs suivants :

  • Windows : Visual Studio 2008 Professional Edition
  • Linux : gcc 4.1.2 (RHEL 5.0)
  • Linux : gcc 4.4.4 (RHEL 6.0)

Remarque : la version 12.11 du VCG a été créée avec FlexNet Publisher 11.11.1 et partage les mêmes prérequis en matière de compilateur C sur chaque plate-forme prise en charge. (Voir les notes de mise à jour de FlexNet Publisher 11.11.1 pour des informations sur la prise en charge des compilateurs C/C++.)

Serveur d'annuaire LDAP pris en charge
  • Windows 2008 Active Directory

Retour à FlexNet Operations